import getPixels from 'get-pixels';
import util from 'util';
export async function parseImageNode(arrayBuffer, mimeType, options) {
  const getPixelsAsync = util.promisify(getPixels);
  const buffer = arrayBuffer instanceof Buffer ? arrayBuffer : Buffer.from(arrayBuffer);
  const ndarray = await getPixelsAsync(buffer, mimeType);
  return {
    width: ndarray.shape[0],
    height: ndarray.shape[1],
    data: ndarray.data
  };
}
//# sourceMappingURL=parse-image.node.js.map